summaryrefslogtreecommitdiffhomepage
path: root/libtomcrypt/testme.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libtomcrypt/testme.sh')
-rwxr-xr-x[-rw-r--r--]libtomcrypt/testme.sh61
1 files changed, 37 insertions, 24 deletions
diff --git a/libtomcrypt/testme.sh b/libtomcrypt/testme.sh
index b62fda8..8f84971 100644..100755
--- a/libtomcrypt/testme.sh
+++ b/libtomcrypt/testme.sh
@@ -1,58 +1,71 @@
#!/bin/bash
+if [ $# -lt 3 ]
+then
+ echo "usage is: ${0##*/} <which makefile and other make options> <additional defines> <path to math provider>"
+ echo "e.g. \"${0##*/} \"makefile -j9\" \"-DUSE_LTM -DLTM_DESC -I../libtommath\" ../libtommath/libtommath.a\""
+ echo "to create aggregate coverage: pre-pend with LTC_COVERAGE=1"
+ exit -1
+fi
+
# date
echo "date="`date`
-# output version
-echo "Testing verion" `grep "^VERSION=" makefile | sed "s/.*=//"`
-#grep "VERSION=" makefile | perl -e "@a = split('=', <>); print @a[1];"`
+# check sources
+bash check_source.sh "CHECK_SOURCES" " " "$1" "$2" "$3" || exit 1
-# get uname
-echo "uname="`uname -a`
+mk="$1"
-# get gcc name
-echo "gcc="`gcc -dumpversion`
-echo
+[ "$LTC_COVERAGE" != "" ] && mk="$mk COVERAGE=1"
# stock build
-bash run.sh "STOCK" " " "$1" "$2" "$3" || exit 1
+bash run.sh "STOCK" " " "$mk" "$2" "$3" || exit 1
+
+# EASY build
+bash run.sh "EASY" "-DLTC_EASY" "$mk" "$2" "$3" || exit 1
# SMALL code
-bash run.sh "SMALL" "-DLTC_SMALL_CODE" "$1" "$2" "$3" || exit 1
+bash run.sh "SMALL" "-DLTC_SMALL_CODE" "$mk" "$2" "$3" || exit 1
# NOTABLES
-bash run.sh "NOTABLES" "-DLTC_NO_TABLES" "$1" "$2" "$3" || exit 1
+bash run.sh "NOTABLES" "-DLTC_NO_TABLES" "$mk" "$2" "$3" || exit 1
# SMALL+NOTABLES
-bash run.sh "SMALL+NOTABLES" "-DLTC_SMALL_CODE -DLTC_NO_TABLES" "$1" "$2" "$3" || exit 1
+bash run.sh "SMALL+NOTABLES" "-DLTC_SMALL_CODE -DLTC_NO_TABLES" "$mk" "$2" "$3" || exit 1
# CLEANSTACK
-bash run.sh "CLEANSTACK" "-DLTC_CLEAN_STACK" "$1" "$2" "$3" || exit 1
+bash run.sh "CLEANSTACK" "-DLTC_CLEAN_STACK" "$mk" "$2" "$3" || exit 1
# CLEANSTACK + SMALL
-bash run.sh "CLEANSTACK+SMALL" "-DLTC_SMALL_CODE -DLTC_CLEAN_STACK" "$1" "$2" "$3" || exit 1
+bash run.sh "CLEANSTACK+SMALL" "-DLTC_SMALL_CODE -DLTC_CLEAN_STACK" "$mk" "$2" "$3" || exit 1
# CLEANSTACK + NOTABLES
-bash run.sh "CLEANSTACK+NOTABLES" "-DLTC_NO_TABLES -DLTC_CLEAN_STACK" "$1" "$2" "$3" || exit 1
+bash run.sh "CLEANSTACK+NOTABLES" "-DLTC_NO_TABLES -DLTC_CLEAN_STACK" "$mk" "$2" "$3" || exit 1
# CLEANSTACK + NOTABLES + SMALL
-bash run.sh "CLEANSTACK+NOTABLES+SMALL" "-DLTC_NO_TABLES -DLTC_CLEAN_STACK -DLTC_SMALL_CODE" "$1" "$2" "$3" || exit 1
+bash run.sh "CLEANSTACK+NOTABLES+SMALL" "-DLTC_NO_TABLES -DLTC_CLEAN_STACK -DLTC_SMALL_CODE" "$mk" "$2" "$3" || exit 1
# NO_FAST
-bash run.sh "NO_FAST" "-DLTC_NO_FAST" "$1" "$2" "$3" || exit 1
+bash run.sh "NO_FAST" "-DLTC_NO_FAST" "$mk" "$2" "$3" || exit 1
# NO_FAST + NOTABLES
-bash run.sh "NO_FAST+NOTABLES" "-DLTC_NO_FAST -DLTC_NO_TABLES" "$1" "$2" "$3" || exit 1
+bash run.sh "NO_FAST+NOTABLES" "-DLTC_NO_FAST -DLTC_NO_TABLES" "$mk" "$2" "$3" || exit 1
# NO_ASM
-bash run.sh "NO_ASM" "-DLTC_NO_ASM" "$1" "$2" "$3" || exit 1
+bash run.sh "NO_ASM" "-DLTC_NO_ASM" "$mk" "$2" "$3" || exit 1
+
+# NO_TIMING_RESISTANCE
+bash run.sh "NO_TIMING_RESISTANCE" "-DLTC_NO_ECC_TIMING_RESISTANT -DLTC_NO_RSA_BLINDING" "$mk" "$2" "$3" || exit 1
+
+# CLEANSTACK+NOTABLES+SMALL+NO_ASM+NO_TIMING_RESISTANCE
+bash run.sh "CLEANSTACK+NOTABLES+SMALL+NO_ASM+NO_TIMING_RESISTANCE" "-DLTC_CLEAN_STACK -DLTC_NO_TABLES -DLTC_SMALL_CODE -DLTC_NO_ECC_TIMING_RESISTANT -DLTC_NO_RSA_BLINDING" "$mk" "$2" "$3" || exit 1
# test build with no testing
-bash testbuild.sh "NOTEST" "-DLTC_NO_TEST" "$1" "$2" "$3" || exit 1
+bash testbuild.sh "NOTEST" "-DLTC_NO_TEST" "$mk" "$2" "$3" || exit 1
# test build with no file routines
-bash testbuild.sh "NOFILE" "-DLTC_NO_FILE" "$1" "$2" "$3" || exit 1
+bash testbuild.sh "NOFILE" "-DLTC_NO_FILE" "$mk" "$2" "$3" || exit 1
-# $Source: /cvs/libtom/libtomcrypt/testme.sh,v $
-# $Revision: 1.20 $
-# $Date: 2006/01/26 14:49:43 $
+# ref: $Format:%D$
+# git commit: $Format:%H$
+# commit time: $Format:%ai$